Subject: Re: linux-next: manual merge of the net tree with Linus' tree

From: Leon Romanovsky <[email-masked]>
Date: Fri, 19 Mar 2021 17:55:32 +0200

On Fri, Mar 19, 2021 at 08:29:39AM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the net tree got a conflict in:
> 
>   drivers/net/can/usb/peak_usb/pcan_usb_fd.c
> 
> between commit:
> 
>   6417f03132a6 ("module: remove never implemented MODULE_SUPPORTED_DEVICE")
> 
> from Linus' tree and commit:
> 
>   59ec7b89ed3e ("can: peak_usb: add forgotten supported devices")
> 
> from the net tree.
> 
> I fixed it up (I just removed the new MODULE_SUPPORTED_DEVICE() lines)
> and can carry the fix as necessary. This is now fixed as far as linux-next
> is concerned, but any non trivial conflicts should be mentioned to your
> upstream maintainer when your tree is submitted for merging.  You may
> also want to consider cooperating with the maintainer of the conflicting
> tree to minimise any particularly complex conflicts.

Thanks Stephen, the code should be deleted and commit 59ec7b89ed3e needs
to be reverted.

> -- 
> Cheers,
> Stephen Rothwell